// import { param2Obj } from '@/utils'

const userMap = {
  user04: {
    code: 200,
    result: {
      token: 'asafadsfewwe',
      user: {
        id: '59376a02d90e4ebdb47fa6cffc9de3ee',
        avatar: 'https://wpimg.wallstcn.com/577965b9-bb9e-4e02-9f0c-095b41417191',
        user_name: '王小二',
        login_name: 'user04',
        employee_number: '004',
        dic_user_type: 1,
        last_login_ip: '0.0.0.0',
        last_login_at: '2018-07-04 10:32:57',
        status: 100
      }
    }
  }
}

const userDetail = {
  message: 'ok',
  code: 200,
  result: {
    user: {
      id: '59376a02d90e4ebdb47fa6cffc9de3ee',
      avatar: 'https://wpimg.wallstcn.com/577965b9-bb9e-4e02-9f0c-095b41417191',
      user_name: '王小二',
      login_name: 'user04',
      employee_number: '004',
      dic_user_type: 1,
      last_login_ip: '0.0.0.0',
      last_login_at: '2018-07-04 10:32:57',
      status: 100
    },
    roles: [
      {
        id: '125067a2a01e4d268bbe22828883a7eb',
        org_id: 'ca6a917a3d9148dfa662c893cd5fa0b7',
        role_code: '',
        role_name: 'supervisor',
        display_name: '超级管理员',
        dic_role_type: 'security-role',
        dic_data_scope: '1',
        is_fulltime: 1,
        status: 100
      },
      {
        id: '1493fc3943f94b8098f867017732cac6',
        org_id: '4f1e3912471b44bf84656df3472bfc8c',
        role_code: '',
        role_name: 'editor',
        display_name: '编辑',
        dic_role_type: '1',
        dic_data_scope: '1',
        is_fulltime: 1,
        status: null
      }
    ],
    currentRole: {
      id: '125067a2a01e4d268bbe22828883a7eb',
      org_id: 'ca6a917a3d9148dfa662c893cd5fa0b7',
      app_ccode: 'app01',
      role_name: 'supervisor',
      display_name: '超级管理员',
      dic_role_type: 'security-role',
      dic_data_scope: '1',
      is_fulltime: '1',
      status: '100',
      role_code: ''
    },
    menus: [
      {
        id: '01',
        pid: '',
        permission_name: '菜单01',
        display_name: '菜单01(来至后端)',
        menu_name: 'menu01',
        url: '',
        method: '',
        symbol: 'sd:jxkh',
        dic_target: '_self',
        dic_icon: 'lock',
        sequence: 0,
        status: 100,
        app_ccode: 'app01',
        dic_resource_type: 5
      },
      {
        id: '0101',
        pid: '01',
        permission_name: '菜单0101',
        display_name: '菜单0101',
        menu_name: 'usergroup',
        url: '',
        method: '',
        symbol: 'sd:/v1/rbac/group/add-users',
        dic_target: '',
        dic_icon: '',
        sequence: 0,
        status: 100,
        app_ccode: 'app01',
        dic_resource_type: 5
      },
      {
        id: '0102',
        pid: '01',
        permission_name: '菜单0102',
        display_name: '菜单0102',
        menu_name: 'directive',
        url: '/v1/rbac/region/create',
        method: 'post',
        symbol: '/v1/rbac/region/create/post',
        dic_target: '_blank',
        dic_icon: '',
        sequence: 10,
        status: 100,
        app_ccode: 'app01',
        dic_resource_type: 5
      },
      {
        id: '02',
        pid: '',
        permission_name: '菜单01',
        display_name: '应用2菜单01(来至后端)',
        menu_name: 'menu02',
        url: '',
        method: '',
        symbol: 'sd:jxkh',
        dic_target: '_self',
        dic_icon: 'lock',
        sequence: 0,
        status: 100,
        app_ccode: 'app02',
        dic_resource_type: 5
      },
      {
        id: '0201',
        pid: '02',
        permission_name: '菜单0201',
        display_name: '菜单0201',
        menu_name: 'usergroup',
        url: '',
        method: '',
        symbol: 'sd:add-users',
        dic_target: '',
        dic_icon: '',
        sequence: 0,
        status: 100,
        app_ccode: 'app02',
        dic_resource_type: 5
      }
    ],
    currentRoleApps: [{
      id: '2df394dcbdf148e7a44e8848d3f7bcf4',
      app_name: 'RBAC系统',
      dic_app_type: 1,
      dic_category_type: 1,
      app_ccode: 'app01',
      ref_enterprise_info_id: 'e112025f8bcd410385c948aaa602f090',
      version_num: '1.0',
      app_secret: '3ae6ee700d9542f9b378065b982b26a0',
      dic_skin_type: 1,
      url: 'http://192.168.1.234:8773',
      status: null
    }]
  }
}

export default {
  loginByUsername: config => {
    const { login_name } = JSON.parse(config.body)
    return userMap[login_name]
  },
  getCurrentUserInfo: config => {
    return userDetail
  },
  logout: () => 'success'
}
