const getters = {
  sidebar: state => state.app.sidebar,
  language: state => state.app.language,
  device: state => state.app.device,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  name: state => state.user.name,
  introduction: state => state.user.introduction,
  status: state => state.user.status,
  roles: state => state.user.roles,
  currentRole: state => state.user.currentRole,
  currentRoleApps: state => state.user.currentRoleApps,
  setting: state => state.user.setting,
  enterprise_ccode: state => state.user.enterprise_ccode,
  permission_routers: state => state.permission.routers,
  addRouters: state => state.permission.addRouters,
  errorLogs: state => state.errorLog.logs,
  menus: state => state.user.menus,
  apps: state => state.user.apps,
  btnConfig: state => state.btnConfig
}
export default getters
